#ifndef ENABLE_YUV
#extension GL_OES_EGL_image_external : require
#endif

precision mediump float;

#ifdef ENABLE_YUV
uniform sampler2D yTexture;
uniform sampler2D uTexture;
uniform sampler2D vTexture;
uniform mat3 mColorConversion;

vec4 getColor(in vec2 vTexCrd) {
  vec3 yuv;
  yuv.x = texture2D(yTexture, vTexCrd).r - 0.0625;
  yuv.y = texture2D(uTexture, vTexCrd).r - 0.5;
  yuv.z = texture2D(vTexture, vTexCrd).r - 0.5;
  return vec4(mColorConversion * yuv, 1.0);
}
#else
uniform samplerExternalOES sTexture;

vec4 getColor(in vec2 vTexCrd) {
  return texture2D(sTexture, vTexCrd);
}
#endif
