uniform mat4 mLt;
uniform mat4 mRt;

varying vec2 vTexCrd;
varying float midpoint;

void anaglyph(float x, float y) {
  x *= midpoint;
  vec4 cLt = getColor(vec2(x, y));
  vec4 cRt = getColor(vec2(midpoint + x, y));
  gl_FragColor = mLt * cLt + mRt * cRt;
}

void main(void) {
  anaglyph(vTexCrd.x, vTexCrd.y);
  applyNoise(vTexCrd);
}
