precision highp float;

#ifdef ENABLE_WHITE_NOISE
uniform float fNoiseOffset;
uniform float fNoiseScale;
uniform float fNoiseSeed;

float rand(in vec2 uv) {
 return fract(sin(mod(dot(uv, vec2(12.9898, 78.233)), 3.14159)) * 43758.5453);
}

void applyNoise(in vec2 vCoord) {
  vec4 color = gl_FragColor;
  vec4 noise = vec4(rand(vCoord + fNoiseSeed));
  float maxColor = max(max(color.r, color.g), color.b);
  float amount = fNoiseScale * smoothstep(0.0, 0.1, maxColor);
  amount *= smoothstep(0.0, 0.1, 1.0 - maxColor);
  color += (noise.r - fNoiseOffset) * amount;
  gl_FragColor = vec4(color.rgb, 1.0);
}
#else
void applyNoise(in vec2 vCoord) {}
#endif
